` Example SeaBass Program
` Sends a little Morse code on an LED on Port B pin 0

cinclude "avr/io.h"
include "avrio.bh"       ` get I/O routines
cinclude "app4delay.h"   ` get delay routines (from C)
#link "app4delay.c"      ` include C library

` Define a string type
deftype string char *


` Speed of a dot in milliseconds
Const speed=200


` play a dot
sub dot()
  HIGH(B,0)         ` LED on 
  delay_ms(speed)
  LOW(B,0)          ` LED off
  delay_ms(speed)
end sub

` play a dash
sub dash()
  HIGH(B,0)
  delay_ms(speed*3)
  LOW(B,0)
  delay_ms(speed)
end sub

` pause between characters
sub space()
  delay_ms(speed*3)
end sub


` Main program
function main() as int
  dim text as string
  dim i

  text="-.-. --.-"   ` message to send

` Set LED to output
  OUTPUT(B,0)

` Main code
top:
  for i=0 to strlen(text)-1   ` walk through text
` do the right thing
     if text[i]='.' then
       dot()
     end if
     if text[i]='-' then
       dash()
     end if
     if text[i]=' ' then
       space()
     end if
  next
  delay_ms(10000)   ` wait 10 seconds
  goto top          ` and do it again
end function